<!doctype html>

<html class="no-js" <?php language_attributes(); ?>>
	<head>
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta charset="utf-8">
		
		<title><?php wp_title('|'); ?></title>
		
		<meta name="HandheldFriendly" content="True">
		<meta name="MobileOptimized" content="320">
		<meta name="viewport" content="width=device-width, initial-scale=1"/>
		
		<link
		rel="apple-touch-icon"
		href="<?php echo get_template_directory_uri(); ?>/library/images/apple-touch-icon.png"
		>
		<meta
		name="msapplication-TileColor"
		content="#f01d4f"
		>
		<meta
		name="msapplication-TileImage"
		content="<?php echo get_template_directory_uri(); ?>/library/images/win8-tile-icon.png"
		>
		
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>">
		<?php wp_head(); ?>
		
		<style>
			html {
				margin-top: 46px !important;
			}
			
			body {
				background: rgba(0, 0, 0, 0) none repeat scroll 0% 0% !important;
			}
		</style>
		
		<?php if ( esc_attr( get_option('header-image') ) != null ) : ?>
		<style>
			body div.front {
				background:  #E5E5E5 url("<?php echo esc_attr( get_option('header-image') ); ?>") no-repeat;
				background-size: cover;
				margin-top: -54px;
				position: fixed;
				
				left: calc(50% - 720px);
				max-width: 1440px;
				min-width: 1440px;
				height: 320px;
				z-index: -1;
			}
			
			#inner-page {
				padding-top: 250px;
			}
		</style>
		<?php endif; ?>
		
		<?php if ( is_admin_bar_showing() ) : ?>
			<link
				rel="stylesheet"
				href="<?php echo ( get_site_url() . '/wp-admin/css/colors/light/colors.css' ); ?>" 
				type="text/css"
				z-index= -1;
			>
		
			<link
				rel="stylesheet"
				href="<?php echo ( get_template_directory_uri() . '/library/css/admin.css' ); ?>"
				type="text/css"
			>
		<?php endif; ?>
	</head>
	
	<body <?php body_class(); ?> itemscope itemtype="http://schema.org/WebPage">
		
		<?php if ( is_front_page() ) : ?>
		<div class="front"></div>
		<?php endif; ?>
    
		<div id="container">
