<?php
function disable_default_dashboard_widgets() {
	global $wp_meta_boxes;
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_activity']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);
	
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_recent_drafts']);
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
	unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);
	
	unset($wp_meta_boxes['dashboard']['normal']['core']['yoast_db_widget']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['rg_forms_dashboard']);
	unset($wp_meta_boxes['dashboard']['normal']['core']['bbp-dashboard-right-now']);
}

function besteurful_rss_dashboard_widget() {
	
	if ( function_exists( 'fetch_feed' ) ) {
		
		$feed = fetch_feed( 'http://feeds.feedburner.com/wpcandy' );
		
		if (is_wp_error($feed)) {
			$limit = 0;
			$items = 0;
		} else {
			$limit = $feed->get_item_quantity(7);
			$items = $feed->get_items(0, $limit);
		}
	}
	
	if ($limit == 0) echo '<div>The RSS Feed is either empty or unavailable.</div>';
	else foreach ($items as $item) {
?>

<h4 style="margin-bottom: 0;">
	<a href="<?php echo $item->get_permalink(); ?>" title="<?php echo mysql2date( __( 'j F Y @ g:i a', 'besteurfultheme' ), $item->get_date( 'Y-m-d H:i:s' ) ); ?>" target="_blank">
		<?php echo $item->get_title(); ?>
	</a>
</h4>

<p style="margin-top: 0.5em;">
	<?php echo substr($item->get_description(), 0, 200); ?>
</p>

<?php }
}

function besteurful_custom_dashboard_widgets() {
	wp_add_dashboard_widget(
		'besteurful_rss_dashboard_widget',
		__(
			'Recently on Themble (Customize on admin.php)',
			'besteurfultheme'
		),
		'besteurful_rss_dashboard_widget'
	);
}

add_action( 'wp_dashboard_setup', 'disable_default_dashboard_widgets' );
add_action( 'wp_dashboard_setup', 'besteurful_custom_dashboard_widgets' );

function besteurful_login_css() {
	wp_enqueue_style( 'besteurful_login_css', get_template_directory_uri() . '/library/css/login.css', false );
}

function besteurful_login_url() {  return home_url(); }
function besteurful_login_title() { return get_option( 'blogname' ); }

add_action( 'login_enqueue_scripts', 'besteurful_login_css', 10 );
add_filter( 'login_headerurl', 'besteurful_login_url' );
add_filter( 'login_headertitle', 'besteurful_login_title' );

function besteurful_custom_admin_footer() {
	_e( '<span id="footer-thankyou">Developed by <a href="http://yoursite.com" target="_blank">Your Site Name</a></span>. Built using <a href="http://themble.com/besteurful" target="_blank">besteurful</a>.', 'besteurfultheme' );
}

add_filter( 'admin_footer_text', 'besteurful_custom_admin_footer' ); ?>